package org.jeecg.modules.bytedance.advertise.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 头条计划dplink标识创建记录
 * @author jeecg-boot
 * @date   2021-04-26
 * @version V1.0
 */
@Data
@TableName("ctop_ai_bytedance_ad_dplink_info")
public class AiBytedanceAdDplinkInfo {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**dpLinkIndex*/
	private Long dpLinkIndex;
	/**status*/
	private Integer status;
	/**计划id*/
	private Long adId;
	/**accountId*/
	private Long accountId;
	private BigDecimal adBid;
	/**strategyId*/
	private Long strategyId;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
}
