package org.jeecg.modules.bytedance.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.bytedance.common.entity.CtopOauthToken;
import org.jeecg.modules.bytedance.common.entity.FileInfo;

import java.util.Map;

/**
 * @Description: 文件
 * @Author: jeecg-boot
 * @Date: 2019-07-09
 * @Version: V1.0
 */
public interface IFileInfoService extends IService<FileInfo> {


    /**
     * 平台 上传图片
     * @param accountId
     * @param imageFileId
     * @return
     */
    Map<String, Object> uploadImageToBytedance(String accountId, String imageFileId);

    String getSuggestImageId(CtopOauthToken token, String vid);
}
