package org.jeecg.modules.bytedance.report.entity.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * Administrator
 * 2021/5/19
 **/
@Data
public class ReportCostVo implements Serializable {

    private String id;
    //花费
    private double cost;
    //展示量
    private Integer showNum;
    //点击量
    private Integer click;
    //转化量
    private Integer convertNum;
    //小时数
    private Integer statHour;
    //数据起始时间
    private String statDatetime;

    private String time;


    //计划id
    private String adId;
    //计划名称
    private String adName;
    //出价
    private BigDecimal cpaBid;
    //平均千次展显费用 = 总花费/展示数 * 1000
    private String averageShow;
    //平均点击单价 = 花费 / 点击数
    private String averageClick;
    //点击率 = 展示 / 点击数
    private String clickRate;
    //转化成本 = 总花费 / 转化数
    private String conver;
    //转化率 = 转化数 / 点击数 * 100
    private String converRate;
    //环比
    private String compare;

    private String updateTime;


}