package org.jeecg.modules.bytedance.advertise.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 视频创建创意记录信息
 * @author jeecg-boot
 * @date   2021-05-19
 * @version V1.0
 */
@Data
@TableName("ctop_bytedance_ai_video_creative_log")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class BytedanceAiVideoCreativeLog {
    
	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**videoCode*/
	private String videoCode;
	/**creativeUuid*/
	private String creativeUuid;
	/**strategyId*/
	private Long strategyId;
	/**stateDate*/
	private String stateDate;
	/**status*/
	private Integer status;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;
}
